Bug 42195 - missing resolv.conf(5) manpage
missing resolv.conf(5) manpage
Product: Red Hat Linux
Classification: Retired
Component: man-pages (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2001-05-24 16:04 EDT by Daniel Roesen
Modified: 2007-04-18 12:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-06-01 11:22:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Daniel Roesen 2001-05-24 16:04:58 EDT
glibc RPMs misses the resolv.conf manpage which is provided by the BIND
RPMs. This is technically (and operational) wrong as this manpage has to
reflect the resolver version used in glibc, not of the current installed
BIND version.
Comment 1 Jakub Jelinek 2001-06-01 06:38:12 EDT
glibc (at least the non-devel glibc subpackages) should not provide any man
pages, it is man-pages rpm which should. I agree that it would be good idea
to move resolv.conf from bind to man-pages, though it will need some
conflict rpm headers to deal with the move.
Comment 2 Trond Eivind Glomsrxd 2001-06-01 10:56:07 EDT
I much prefer to keep man pages from packages with their own man-pages in these
packages, as this makes sure they're uptodate. Currently, I delete the
resolv.conf man page from man-pages to avoid conflicts...

Bero (bind maintainer), what would you prefer? I'd like to keep it the way it is...
Comment 3 Bernhard Rosenkraenzer 2001-06-01 11:20:15 EDT
Since resolv.conf is useful even on systems that don't have any bind* packages 
installed, it might make more sense in man-pages, but both ways are ok for me.
Comment 4 Trond Eivind Glomsrxd 2001-06-01 11:22:31 EDT
OK, I'll make a new build where it isn't deleted...
Comment 5 Trond Eivind Glomsrxd 2001-06-01 11:25:38 EDT
It's included in man-pages-1.36-2. Bero, remove it from the bind package to
avoid conflicts.
Comment 6 Daniel Roesen 2001-06-24 21:28:08 EDT
Hm, resolv.conf.5 of the man-pages package is very incomplete. Just compare with
Bero's version of it. Especially the "options" section.

Note You need to log in before you can comment on or make changes to this bug.